Blob Blame History Raw
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# nghttp2 - HTTP/2 C Library

# Copyright (c) 2012 Tatsuhiro Tsujikawa

# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:

# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
subdir = doc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_boost_asio.m4 \
	$(top_srcdir)/m4/ax_boost_base.m4 \
	$(top_srcdir)/m4/ax_boost_system.m4 \
	$(top_srcdir)/m4/ax_boost_thread.m4 \
	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
	$(top_srcdir)/m4/ax_python_devel.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = conf.py index.rst package_README.rst \
	tutorial-client.rst tutorial-server.rst tutorial-hpack.rst \
	nghttpx-howto.rst h2load-howto.rst libnghttp2_asio.rst \
	python-apiref.rst building-android-binary.rst nghttp2.h.rst \
	nghttp2ver.h.rst asio_http2.h.rst asio_http2_server.h.rst \
	asio_http2_client.h.rst contribute.rst
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man1dir = $(mandir)/man1
am__installdirs = "$(DESTDIR)$(man1dir)"
NROFF = nroff
MANS = $(man_MANS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/asio_http2.h.rst.in \
	$(srcdir)/asio_http2_client.h.rst.in \
	$(srcdir)/asio_http2_server.h.rst.in \
	$(srcdir)/building-android-binary.rst.in $(srcdir)/conf.py.in \
	$(srcdir)/contribute.rst.in $(srcdir)/h2load-howto.rst.in \
	$(srcdir)/index.rst.in $(srcdir)/libnghttp2_asio.rst.in \
	$(srcdir)/nghttp2.h.rst.in $(srcdir)/nghttp2ver.h.rst.in \
	$(srcdir)/nghttpx-howto.rst.in $(srcdir)/package_README.rst.in \
	$(srcdir)/python-apiref.rst.in \
	$(srcdir)/tutorial-client.rst.in \
	$(srcdir)/tutorial-hpack.rst.in \
	$(srcdir)/tutorial-server.rst.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
APPLDFLAGS = @APPLDFLAGS@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BOOST_ASIO_LIB = @BOOST_ASIO_LIB@
BOOST_CPPFLAGS = @BOOST_CPPFLAGS@
BOOST_LDFLAGS = @BOOST_LDFLAGS@
BOOST_SYSTEM_LIB = @BOOST_SYSTEM_LIB@
BOOST_THREAD_LIB = @BOOST_THREAD_LIB@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CUNIT_CFLAGS = @CUNIT_CFLAGS@
CUNIT_LIBS = @CUNIT_LIBS@
CXX = @CXX@
CXX1XCXXFLAGS = @CXX1XCXXFLAGS@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
CYTHON = @CYTHON@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
EXTRACFLAG = @EXTRACFLAG@
FGREP = @FGREP@
GREP = @GREP@
HAVE_CXX11 = @HAVE_CXX11@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JANSSON_CFLAGS = @JANSSON_CFLAGS@
JANSSON_LIBS = @JANSSON_LIBS@
JEMALLOC_LIBS = @JEMALLOC_LIBS@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBCARES_CFLAGS = @LIBCARES_CFLAGS@
LIBCARES_LIBS = @LIBCARES_LIBS@
LIBEVENT_OPENSSL_CFLAGS = @LIBEVENT_OPENSSL_CFLAGS@
LIBEVENT_OPENSSL_LIBS = @LIBEVENT_OPENSSL_LIBS@
LIBEV_CFLAGS = @LIBEV_CFLAGS@
LIBEV_LIBS = @LIBEV_LIBS@
LIBMRUBY_CFLAGS = @LIBMRUBY_CFLAGS@
LIBMRUBY_LIBS = @LIBMRUBY_LIBS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIBXML2_CFLAGS = @LIBXML2_CFLAGS@
LIBXML2_LIBS = @LIBXML2_LIBS@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
LT_AGE = @LT_AGE@
LT_CURRENT = @LT_CURRENT@
LT_REVISION = @LT_REVISION@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OPENSSL_CFLAGS = @OPENSSL_CFLAGS@
OPENSSL_LIBS = @OPENSSL_LIBS@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PACKAGE_VERSION_NUM = @PACKAGE_VERSION_NUM@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
PYTHON = @PYTHON@
PYTHON_CPPFLAGS = @PYTHON_CPPFLAGS@
PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
PYTHON_EXTRA_LDFLAGS = @PYTHON_EXTRA_LDFLAGS@
PYTHON_EXTRA_LIBS = @PYTHON_EXTRA_LIBS@
PYTHON_LDFLAGS = @PYTHON_LDFLAGS@
PYTHON_PLATFORM = @PYTHON_PLATFORM@
PYTHON_PREFIX = @PYTHON_PREFIX@
PYTHON_SITE_PKG = @PYTHON_SITE_PKG@
PYTHON_VERSION = @PYTHON_VERSION@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
SYSTEMD_CFLAGS = @SYSTEMD_CFLAGS@
SYSTEMD_LIBS = @SYSTEMD_LIBS@
TESTLDADD = @TESTLDADD@
VERSION = @VERSION@
WARNCFLAGS = @WARNCFLAGS@
WARNCXXFLAGS = @WARNCXXFLAGS@
ZLIB_CFLAGS = @ZLIB_CFLAGS@
ZLIB_LIBS = @ZLIB_LIBS@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
pkgpyexecdir = @pkgpyexecdir@
pkgpythondir = @pkgpythondir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
pyexecdir = @pyexecdir@
pythondir = @pythondir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
man_MANS = nghttp.1 nghttpd.1 nghttpx.1 h2load.1
APIDOCS = \
	macros.rst \
	enums.rst \
	types.rst \
	nghttp2_check_header_name.rst \
	nghttp2_check_header_value.rst \
	nghttp2_hd_deflate_bound.rst \
	nghttp2_hd_deflate_change_table_size.rst \
	nghttp2_hd_deflate_del.rst \
	nghttp2_hd_deflate_get_dynamic_table_size.rst \
	nghttp2_hd_deflate_get_max_dynamic_table_size.rst \
	nghttp2_hd_deflate_get_num_table_entries.rst \
	nghttp2_hd_deflate_get_table_entry.rst \
	nghttp2_hd_deflate_hd.rst \
	nghttp2_hd_deflate_hd_vec.rst \
	nghttp2_hd_deflate_new.rst \
	nghttp2_hd_deflate_new2.rst \
	nghttp2_hd_inflate_change_table_size.rst \
	nghttp2_hd_inflate_del.rst \
	nghttp2_hd_inflate_end_headers.rst \
	nghttp2_hd_inflate_get_dynamic_table_size.rst \
	nghttp2_hd_inflate_get_max_dynamic_table_size.rst \
	nghttp2_hd_inflate_get_num_table_entries.rst \
	nghttp2_hd_inflate_get_table_entry.rst \
	nghttp2_hd_inflate_hd.rst \
	nghttp2_hd_inflate_hd2.rst \
	nghttp2_hd_inflate_new.rst \
	nghttp2_hd_inflate_new2.rst \
	nghttp2_http2_strerror.rst \
	nghttp2_is_fatal.rst \
	nghttp2_nv_compare_name.rst \
	nghttp2_option_del.rst \
	nghttp2_option_new.rst \
	nghttp2_option_set_builtin_recv_extension_type.rst \
	nghttp2_option_set_max_deflate_dynamic_table_size.rst \
	nghttp2_option_set_max_reserved_remote_streams.rst \
	nghttp2_option_set_max_send_header_block_length.rst \
	nghttp2_option_set_no_auto_ping_ack.rst \
	nghttp2_option_set_no_auto_window_update.rst \
	nghttp2_option_set_no_closed_streams.rst \
	nghttp2_option_set_no_http_messaging.rst \
	nghttp2_option_set_no_recv_client_magic.rst \
	nghttp2_option_set_peer_max_concurrent_streams.rst \
	nghttp2_option_set_user_recv_extension_type.rst \
	nghttp2_option_set_max_outbound_ack.rst \
	nghttp2_option_set_max_settings.rst \
	nghttp2_pack_settings_payload.rst \
	nghttp2_priority_spec_check_default.rst \
	nghttp2_priority_spec_default_init.rst \
	nghttp2_priority_spec_init.rst \
	nghttp2_rcbuf_decref.rst \
	nghttp2_rcbuf_get_buf.rst \
	nghttp2_rcbuf_incref.rst \
	nghttp2_rcbuf_is_static.rst \
	nghttp2_select_next_protocol.rst \
	nghttp2_session_callbacks_del.rst \
	nghttp2_session_callbacks_new.rst \
	nghttp2_session_callbacks_set_before_frame_send_callback.rst \
	nghttp2_session_callbacks_set_data_source_read_length_callback.rst \
	nghttp2_session_callbacks_set_error_callback.rst \
	nghttp2_session_callbacks_set_error_callback2.rst \
	nghttp2_session_callbacks_set_on_begin_frame_callback.rst \
	nghttp2_session_callbacks_set_on_begin_headers_callback.rst \
	nghttp2_session_callbacks_set_on_data_chunk_recv_callback.rst \
	nghttp2_session_callbacks_set_on_extension_chunk_recv_callback.rst \
	nghttp2_session_callbacks_set_on_frame_not_send_callback.rst \
	nghttp2_session_callbacks_set_on_frame_recv_callback.rst \
	nghttp2_session_callbacks_set_on_frame_send_callback.rst \
	nghttp2_session_callbacks_set_on_header_callback.rst \
	nghttp2_session_callbacks_set_on_header_callback2.rst \
	nghttp2_session_callbacks_set_on_invalid_frame_recv_callback.rst \
	nghttp2_session_callbacks_set_on_invalid_header_callback.rst \
	nghttp2_session_callbacks_set_on_invalid_header_callback2.rst \
	nghttp2_session_callbacks_set_on_stream_close_callback.rst \
	nghttp2_session_callbacks_set_pack_extension_callback.rst \
	nghttp2_session_callbacks_set_recv_callback.rst \
	nghttp2_session_callbacks_set_select_padding_callback.rst \
	nghttp2_session_callbacks_set_send_callback.rst \
	nghttp2_session_callbacks_set_send_data_callback.rst \
	nghttp2_session_callbacks_set_unpack_extension_callback.rst \
	nghttp2_session_change_stream_priority.rst \
	nghttp2_session_check_request_allowed.rst \
	nghttp2_session_check_server_session.rst \
	nghttp2_session_client_new.rst \
	nghttp2_session_client_new2.rst \
	nghttp2_session_client_new3.rst \
	nghttp2_session_consume.rst \
	nghttp2_session_consume_connection.rst \
	nghttp2_session_consume_stream.rst \
	nghttp2_session_create_idle_stream.rst \
	nghttp2_session_del.rst \
	nghttp2_session_find_stream.rst \
	nghttp2_session_get_effective_local_window_size.rst \
	nghttp2_session_get_effective_recv_data_length.rst \
	nghttp2_session_get_hd_deflate_dynamic_table_size.rst \
	nghttp2_session_get_hd_inflate_dynamic_table_size.rst \
	nghttp2_session_get_last_proc_stream_id.rst \
	nghttp2_session_get_local_settings.rst \
	nghttp2_session_get_local_window_size.rst \
	nghttp2_session_get_next_stream_id.rst \
	nghttp2_session_get_outbound_queue_size.rst \
	nghttp2_session_get_remote_settings.rst \
	nghttp2_session_get_remote_window_size.rst \
	nghttp2_session_get_root_stream.rst \
	nghttp2_session_get_stream_effective_local_window_size.rst \
	nghttp2_session_get_stream_effective_recv_data_length.rst \
	nghttp2_session_get_stream_local_close.rst \
	nghttp2_session_get_stream_local_window_size.rst \
	nghttp2_session_get_stream_remote_close.rst \
	nghttp2_session_get_stream_remote_window_size.rst \
	nghttp2_session_get_stream_user_data.rst \
	nghttp2_session_mem_recv.rst \
	nghttp2_session_mem_send.rst \
	nghttp2_session_recv.rst \
	nghttp2_session_resume_data.rst \
	nghttp2_session_send.rst \
	nghttp2_session_server_new.rst \
	nghttp2_session_server_new2.rst \
	nghttp2_session_server_new3.rst \
	nghttp2_session_set_local_window_size.rst \
	nghttp2_session_set_next_stream_id.rst \
	nghttp2_session_set_stream_user_data.rst \
	nghttp2_session_set_user_data.rst \
	nghttp2_session_terminate_session.rst \
	nghttp2_session_terminate_session2.rst \
	nghttp2_session_upgrade.rst \
	nghttp2_session_upgrade2.rst \
	nghttp2_session_want_read.rst \
	nghttp2_session_want_write.rst \
	nghttp2_set_debug_vprintf_callback.rst \
	nghttp2_stream_get_first_child.rst \
	nghttp2_stream_get_next_sibling.rst \
	nghttp2_stream_get_parent.rst \
	nghttp2_stream_get_previous_sibling.rst \
	nghttp2_stream_get_state.rst \
	nghttp2_stream_get_sum_dependency_weight.rst \
	nghttp2_stream_get_weight.rst \
	nghttp2_strerror.rst \
	nghttp2_submit_altsvc.rst \
	nghttp2_submit_data.rst \
	nghttp2_submit_extension.rst \
	nghttp2_submit_goaway.rst \
	nghttp2_submit_headers.rst \
	nghttp2_submit_origin.rst \
	nghttp2_submit_ping.rst \
	nghttp2_submit_priority.rst \
	nghttp2_submit_push_promise.rst \
	nghttp2_submit_request.rst \
	nghttp2_submit_response.rst \
	nghttp2_submit_rst_stream.rst \
	nghttp2_submit_settings.rst \
	nghttp2_submit_shutdown_notice.rst \
	nghttp2_submit_trailer.rst \
	nghttp2_submit_window_update.rst \
	nghttp2_version.rst

RST_FILES = \
	README.rst \
	programmers-guide.rst \
	nghttp.1.rst \
	nghttpd.1.rst \
	nghttpx.1.rst \
	h2load.1.rst

EXTRA_DIST = \
	CMakeLists.txt \
	mkapiref.py \
	$(RST_FILES) \
	$(APIDOCS) \
	sources/index.rst \
	sources/tutorial-client.rst \
	sources/tutorial-server.rst \
	sources/tutorial-hpack.rst \
	sources/nghttpx-howto.rst \
	sources/h2load-howto.rst \
	sources/libnghttp2_asio.rst \
	sources/python-apiref.rst \
	sources/building-android-binary.rst \
	sources/contribute.rst \
	_exts/sphinxcontrib/LICENSE.rubydomain \
	_exts/sphinxcontrib/__init__.py \
	_exts/sphinxcontrib/rubydomain.py \
	_themes/sphinx_rtd_theme/__init__.py \
	_themes/sphinx_rtd_theme/breadcrumbs.html \
	_themes/sphinx_rtd_theme/footer.html \
	_themes/sphinx_rtd_theme/layout.html \
	_themes/sphinx_rtd_theme/layout_old.html \
	_themes/sphinx_rtd_theme/search.html \
	_themes/sphinx_rtd_theme/searchbox.html \
	_themes/sphinx_rtd_theme/static/css/badge_only.css \
	_themes/sphinx_rtd_theme/static/css/theme.css \
	_themes/sphinx_rtd_theme/static/fonts/FontAwesome.otf \
	_themes/sphinx_rtd_theme/static/fonts/fontawesome-webfont.eot \
	_themes/sphinx_rtd_theme/static/fonts/fontawesome-webfont.svg \
	_themes/sphinx_rtd_theme/static/fonts/fontawesome-webfont.ttf \
	_themes/sphinx_rtd_theme/static/fonts/fontawesome-webfont.woff \
	_themes/sphinx_rtd_theme/static/js/theme.js \
	_themes/sphinx_rtd_theme/theme.conf \
	_themes/sphinx_rtd_theme/versions.html \
	$(man_MANS) \
	bash_completion/nghttp \
	bash_completion/nghttpd \
	bash_completion/nghttpx \
	bash_completion/h2load


# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS = 
SPHINXBUILD = sphinx-build
PAPER = 
BUILDDIR = manual

# Internal variables.
PAPEROPT_a4 = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu doc/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
conf.py: $(top_builddir)/config.status $(srcdir)/conf.py.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
index.rst: $(top_builddir)/config.status $(srcdir)/index.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
package_README.rst: $(top_builddir)/config.status $(srcdir)/package_README.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
tutorial-client.rst: $(top_builddir)/config.status $(srcdir)/tutorial-client.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
tutorial-server.rst: $(top_builddir)/config.status $(srcdir)/tutorial-server.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
tutorial-hpack.rst: $(top_builddir)/config.status $(srcdir)/tutorial-hpack.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
nghttpx-howto.rst: $(top_builddir)/config.status $(srcdir)/nghttpx-howto.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
h2load-howto.rst: $(top_builddir)/config.status $(srcdir)/h2load-howto.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
libnghttp2_asio.rst: $(top_builddir)/config.status $(srcdir)/libnghttp2_asio.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
python-apiref.rst: $(top_builddir)/config.status $(srcdir)/python-apiref.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
building-android-binary.rst: $(top_builddir)/config.status $(srcdir)/building-android-binary.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
nghttp2.h.rst: $(top_builddir)/config.status $(srcdir)/nghttp2.h.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
nghttp2ver.h.rst: $(top_builddir)/config.status $(srcdir)/nghttp2ver.h.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
asio_http2.h.rst: $(top_builddir)/config.status $(srcdir)/asio_http2.h.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
asio_http2_server.h.rst: $(top_builddir)/config.status $(srcdir)/asio_http2_server.h.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
asio_http2_client.h.rst: $(top_builddir)/config.status $(srcdir)/asio_http2_client.h.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
contribute.rst: $(top_builddir)/config.status $(srcdir)/contribute.rst.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-man1: $(man_MANS)
	@$(NORMAL_INSTALL)
	@list1=''; \
	list2='$(man_MANS)'; \
	test -n "$(man1dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.1[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(MANS)
installdirs:
	for dir in "$(DESTDIR)$(man1dir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-local mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am: html-local

info: info-am

info-am:

install-data-am: install-man

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man: install-man1

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-man

uninstall-man: uninstall-man1

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	clean-local cscopelist-am ctags-am distclean distclean-generic \
	distclean-libtool distdir dvi dvi-am html html-am html-local \
	info info-am install install-am install-data install-data-am \
	install-dvi install-dvi-am install-exec install-exec-am \
	install-html install-html-am install-info install-info-am \
	install-man install-man1 install-pdf install-pdf-am install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
	ps ps-am tags-am uninstall uninstall-am uninstall-man \
	uninstall-man1

.PRECIOUS: Makefile


.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

apiref.rst: \
	$(top_builddir)/lib/includes/nghttp2/nghttp2ver.h \
	$(top_srcdir)/lib/includes/nghttp2/nghttp2.h
	for i in $(RST_FILES); do [ -e $(builddir)/$$i ] || cp $(srcdir)/$$i $(builddir); done
	$(PYTHON) $(top_srcdir)/doc/mkapiref.py \
	apiref.rst macros.rst enums.rst types.rst . $^

$(APIDOCS): apiref.rst

clean-local:
	if [ $(srcdir) != $(builddir) ]; then for i in $(RST_FILES); do rm -f $(builddir)/$$i; done fi
	-rm -f apiref.rst
	-rm -f $(APIDOCS)
	-rm -rf $(BUILDDIR)/*

html-local: apiref.rst
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/nghttp2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/nghttp2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/nghttp2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/nghttp2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: apiref.rst
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT: